﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Page1 : ContentPage
    {
        private SfChart chart;
        public ObservableCollection<ChartDataPoint> Data = new ObservableCollection<ChartDataPoint>();

        public Page1()
        {
            InitializeComponent();

            Data.Add(new ChartDataPoint(1, 24, 50));
            Data.Add(new ChartDataPoint(1, 18, 20));           
            Data.Add(new ChartDataPoint(1, 36, 10));
            Data.Add(new ChartDataPoint(1, 28, 30));
            Data.Add(new ChartDataPoint(1, 22, 15));
      
            chart = new SfChart()
            {
                PrimaryAxis = new NumericalAxis() { PlotOffset = 250 },

                SecondaryAxis = new NumericalAxis() { PlotOffset = 50}
            };
            chart.PrimaryAxis.LabelCreated += PrimaryAxis_LabelCreated;          
            var series = new BubbleSeries { ItemsSource = Data };
            series.StrokeWidth = 1;
            series.StrokeColor = Color.Blue;
            series.ColorModel = new ChartColorModel { Palette = ChartColorPalette.Metro };
            chart.Series.Add(series);
            Content = chart;
        }

        void PrimaryAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            e.LabelContent = "Category A";
        }
    }
}